Choose preferred pinentry method

Bug #1473952 reported by Iain Lane on 2015-07-13
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lubuntu-meta (Ubuntu)
Undecided
Julien Lavergne
ubuntu-mate-meta (Ubuntu)
Undecided
Martin Wimpress
ubuntustudio-meta (Ubuntu)
Undecided
Adam Conrad
xubuntu-meta (Ubuntu)
Undecided
Sean Davis

Bug Description

As of gnome-keyring 3.16.0-4ubuntu1, we install pinentry-gnome3 by default.

Flavours should choose which pinentry package they want and seed it.

Choose from: pinentry-curses, pinentry-tty, pinentry-qt4, pinentry-gtk2, pinentry-gnome3

Once Debian bug #791441 is fixed we will remove the alternate "| pinentry" dependency from gnome-keyring, because this really should be stable regardless of which pinentry method you happen to have installed. Currently it's more or less arbitrary depending on the alternate priorities given to /usr/bin/pinentry

Iain Lane (laney) wrote :

If you want pinentry-gnome3 then you don't need to do anything, just close your task.

affects: pinentry (Ubuntu) → ubuntu-mate-meta (Ubuntu)
Changed in ubuntu-mate-meta (Ubuntu):
assignee: nobody → Martin Wimpress (flexiondotorg)
Sean Davis (bluesabre) on 2015-07-15
Changed in xubuntu-meta (Ubuntu):
assignee: nobody → Sean Davis (bluesabre)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xubuntu-meta - 2.194

---------------
xubuntu-meta (2.194) wily; urgency=medium

  * Refreshed dependencies
  * Added pinentry-gtk2 to core-recommends, desktop-recommends
    (LP: #1473952)

 -- Sean Davis <email address hidden> Sun, 09 Aug 2015 08:36:28 -0400

Changed in xubuntu-meta (Ubuntu):
status: New → Fix Released
Julien Lavergne (gilir) on 2015-08-10
Changed in lubuntu-meta (Ubuntu):
status: New → Fix Committed
assignee: nobody → Julien Lavergne (gilir)
Changed in ubuntu-mate-meta (Ubuntu):
status: New → Fix Committed
Kaj Ailomaa (zequence) on 2015-08-12
Changed in ubuntustudio-meta (Ubuntu):
assignee: nobody → Kaj Ailomaa (zequence)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-mate-meta - 1.128

---------------
ubuntu-mate-meta (1.128) wily; urgency=medium

  * Move ubuntu-mate-core's ${germinate:Recommends} from
    Depends to Recommends to get slightly saner behaviour.
  * Refreshed dependencies
  * Added ffmpegthumbnailer to core
  * Added mate-optimus to core
  * Added pinentry-gtk2 to core (LP: #1473952)
  * Added yaboot to live [powerpc]
  * Removed bluez-alsa from cloudtop-recommends, core-recommends,
    desktop-recommends
  * Removed ubuntu-mate-welcome from core [powerpc]

 -- Adam Conrad <email address hidden> Fri, 14 Aug 2015 08:26:55 -0600

Changed in ubuntu-mate-meta (Ubuntu):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2015-08-16
Changed in ubuntustudio-meta (Ubuntu):
status: New → Fix Committed
assignee: Kaj Ailomaa (zequence) → Adam Conrad (adconrad)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lubuntu-meta - 0.60

---------------
lubuntu-meta (0.60) wily; urgency=medium

  * Refreshed dependencies and switch to wily
  * Added pinentry-gtk2 to desktop (LP: #1473952)
  * Removed bluez-alsa from core-recommends
  * Removed python-gudev from desktop

 -- Adam Conrad <email address hidden> Sun, 16 Aug 2015 14:18:02 -0600

Changed in lubuntu-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntustudio-meta - 0.135

---------------
ubuntustudio-meta (0.135) wily; urgency=medium

  * Refreshed dependencies and switch to wily
  * Added libjack-jackd2-dev to audio-core-recommends
  * Added pinentry-gtk2 to desktop-recommends (LP: #1473952)
  * Removed bluez-alsa from desktop-recommends
  * Removed shotwell from desktop-recommends

 -- Adam Conrad <email address hidden> Sun, 16 Aug 2015 14:35:11 -0600

Changed in ubuntustudio-meta (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints